% APRENDIZAJE AUTOMÁTICO: UN ENFOQUE PRÁCTICO
% Autores: María Guijarro, P. Javier Herrera y Gonzalo Pajares
% Copyright RA-MA, 2010
% Capítulo 3: COMBINACIÓN DE CLASIFICADORES

function [] = factor_submuestreo(handles)

global c;
global I_clas; % imagen mostrada en la etapa de clasificación
global M N s;
global DATOS_CLASES;
global pixel;
global ClasesFuzzy ClasesBayes ClasesParzen;
global num_img_clasif;
global v_clas;
global step;

% cla(handles.axes2); % borra las curvas existentes en la ventana de gráficas y redibuja los ejes coordenados.
% axes(handles.axes2);
% axis on
% get(gcf,'CurrentAxes')

% numero de imágenes
num_img_clasif = num_img_clasif + 1;

if (num_img_clasif < 10)
    IO = imread(strcat('IClasificacion_0',num2str(num_img_clasif),'.bmp'));
else
    IO = imread(strcat('IClasificacion_',num2str(num_img_clasif),'.bmp'));
end

[M,N,s] = size(IO);

I_clas = IO(1:step:M,1:step:N,:);
[M,N,s] = size(I_clas);

imshow(I_clas);

pixel = double([0 0 0]);
%crear una matriz vacía sobre la que se van a dibujar las clases
ClasesFuzzy  = zeros(M,N,s);
ClasesBayes  = ClasesFuzzy;
ClasesParzen = ClasesFuzzy;

% clasificador Fuzzy Clustering
for i=1:1:c
    v_clas(i,:) = DATOS_CLASES(i).vFuzzy;
    U(i,:) = DATOS_CLASES(i).UFuzzy;
end